Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002215TestLinkReportspublic2009-03-10 05:222010-10-09 08:01
Reporterpaul123paul 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.9 RC 1 
Summary0002215: Result, Charts, axis labels are cut off and unreadable
DescriptionTestlink 1.8 RC4 and RC5

Click to Open the "Results" screens
Click the "Charts" report

Charts are shown, however you cannot read the axis labels fully for "Results by tester" or "Results for Top level suites". The text is cut off because there is not enough space in the chart to show the labels

Please see attached image for further details.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.0.7
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon charts_text_cutoff.jpg [^] (66,814 bytes) 2009-03-10 05:22

- Relationships

-  Notes
(0010880)
Hobbit159 (reporter)
2010-08-19 13:55

This is also an issue on 1.9b5. I have seen the exact same issue.
(0010902)
Julian (reporter)
2010-08-20 15:41

wait until you have defined a lot of users or a lot of test cases. surely this could be improved.
(0011335)
fman (administrator)
2010-09-12 16:34

First quick fix:
increase drawing area and margins.
new configuration options

As an example:
$tlCfg->results['charts']['dimensions'] =
    array('topLevelSuitesBarChart' => array('chartTitle' => 'results_top_level_suites',
                                             'XSize' => 900,'YSize' => 400,'beginX' => 40, 'beginY' => 100,
                                             'legendXAngle' => 35 )
    );
(0011791)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2009-03-10 05:22 paul123paul New Issue
2009-03-10 05:22 paul123paul File Added: charts_text_cutoff.jpg
2009-03-10 05:22 paul123paul Browser => Firefox 3.0.7
2010-08-19 13:55 Hobbit159 Note Added: 0010880
2010-08-20 15:41 Julian Note Added: 0010902
2010-09-12 16:34 fman Note Added: 0011335
2010-09-12 17:29 fman Status new => resolved
2010-09-12 17:29 fman Fixed in Version => 1.9 RC 1
2010-09-12 17:29 fman Resolution open => fixed
2010-09-12 17:29 fman Assigned To => fman
2010-10-09 08:01 fman Note Added: 0011791
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker